Subject: Re: [PATCH v8 5/5] help: respect new common command grouping

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 May 2015 11:20:03 -0700

Eric Sunshine <[email-masked]> writes:

> On Tue, May 19, 2015 at 12:09 PM, Junio C Hamano <[email-masked]> wrote:
>> Eric Sunshine <[email-masked]> writes:
>>
>>> The awk script restricts itself to POSIX, and I did test it on Linux,
>>> Mac OS X, and FreeBSD, so it seems pretty portable.
>>
>> I was worried more about some people only having gawk while others
>> with mawk and yet others nawk, etc., without having one of them
>> under the canonical name "awk".  It's nothing what
>>
>>     $ make AWK=mawk
>>
>> or its config.mak equivalent cannot fix, but still bothers me a bit.
>
> In that case, perhaps we should go with the Perl version, which, given
> that more people (these days) are familiar with Perl than awk, is less
> likely to be a maintenance burden.

As long as we all can agree that the long-term direction we want to
go in is to remove dependency on awk, that's fine by me.

That means a small awk scriptlets in t/ and elsewhere need to be
rethought, though.

Thanks.